[regression] Unity show desktop fade out makes them invisible in spread.

Bug #1104236 reported by Roman Yepishev on 2013-01-24
98
This bug affects 19 people
Affects Status Importance Assigned to Milestone
Compiz
High
Christopher Townsend
Unity
Fix Released
High
Christopher Townsend
compiz (Ubuntu)
High
Christopher Townsend
unity (Ubuntu)
High
Christopher Townsend

Bug Description

This looks like a regression. Bug 877778 describes what we now have in current trunk again.

STR:

1. Open 2 application windows, e.g. gnome-terminal
2. Alt-tab to show desktop
3. Click on gnome-terminal icon with 2 pips on the launcher

Expected results:
Two windows are displayed in spread.

Actual results:
One window is displayed in spread with another one still being there, the outline appears on hover but the window itself is not displayed.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: unity 6.12.0daily13.01.21bzr3064pkg0raring147 [origin: LP-PPA-unity-team-staging]
ProcVersionSignature: Ubuntu 3.8.0-1.5-generic 3.8.0-rc4
Uname: Linux 3.8.0-1-generic x86_64
ApportVersion: 2.8-0ubuntu2
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CrashDB: unity
Date: Thu Jan 24 19:08:09 2013
InstallationDate: Installed on 2013-01-04 (20 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130104)
MarkForUpload: True
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)

ADDITION:

Furthermore "Show desktop" shows desktop on all workspaces which is not desired behavior. This makes the issue even worse, because you can only use the launcher and alt-tab to navigate between the windows which results in a big usability bug.
The following video demonstrates this:
http://ubuntuone.com/4zt3CfDbgOZmanRGBCrbeE

Related branches

Roman Yepishev (rye) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Esokrates (esokrarkose) on 2013-02-04
description: updated
summary: - Invisible windows in Spread after showing desktop
+ Show Desktop hides windows on all workspaces and makes them invisible in
+ spread:
Esokrates (esokrarkose) on 2013-02-05
summary: - Show Desktop hides windows on all workspaces and makes them invisible in
- spread:
+ Unity show desktop fade out hides windows on all workspaces and makes
+ them invisible in spread:

Hmm interesting, a quick guess is spread ignores minimized windows, but non the less that other bug does show it should show these. Confirmed.

Changed in unity (Ubuntu):
status: Confirmed → Triaged
Changed in unity:
status: New → Triaged
importance: Undecided → High
Changed in unity (Ubuntu):
importance: Undecided → High
summary: - Unity show desktop fade out hides windows on all workspaces and makes
- them invisible in spread:
+ [regression] Unity show desktop fade out hides windows on all workspaces
+ and makes them invisible in spread:
summary: [regression] Unity show desktop fade out hides windows on all workspaces
- and makes them invisible in spread:
+ and makes them invisible in spread.
Changed in unity:
milestone: none → 7.0.1

This is also present in current Trusty.

I even tried packages from unity daily builds PPA which has Unity and Compiz from trunk.

tags: added: trusty
Changed in unity:
milestone: 7.0.1 → 7.2.1
Christopher Townsend (townsend) wrote :

The "hides in all workspaces" part of this bug is not present in Trusty. However, the window missing in the Spread is still present. Adjusting the bug title accordingly...

Changed in unity (Ubuntu):
status: Triaged → In Progress
Changed in unity:
assignee: nobody → Christopher Townsend (townsend)
status: Triaged → In Progress
Changed in unity (Ubuntu):
assignee: nobody → Christopher Townsend (townsend)
summary: - [regression] Unity show desktop fade out hides windows on all workspaces
- and makes them invisible in spread.
+ [regression] Unity show desktop fade out makes them invisible in spread.
Changed in compiz:
status: New → In Progress
importance: Undecided → High
Changed in compiz (Ubuntu):
status: New → In Progress
importance: Undecided → High
Changed in compiz:
assignee: nobody → Christopher Townsend (townsend)
Changed in compiz (Ubuntu):
assignee: nobody → Christopher Townsend (townsend)
Changed in compiz:
milestone: none → 0.9.11.0
Changed in compiz:
status: In Progress → Fix Committed
Changed in unity:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.11+14.04.20140404-0ubuntu1

---------------
compiz (1:0.9.11+14.04.20140404-0ubuntu1) trusty; urgency=low

  [ Chris Townsend ]
  * Fix issue where Compiz passively grabs all mouse buttons which
    severely affects scrolling in Gtk apps. Now only unconditionally
    grab buttons 1-3 for all windows except the desktop window and only
    grab other buttons when there is a modifier attached to it. (LP:
    #1171342)
  * Only fade in and fade out a window when it's hidden if it's not in
    Show Desktop mode. This allows for a good fade out effect in Unity
    when exiting Spread while in Show Desktop mode. (LP: #1104236)
 -- Ubuntu daily release <email address hidden> Fri, 04 Apr 2014 21:41:53 +0000

Changed in compiz (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.2.0+14.04.20140404-0ubuntu1

---------------
unity (7.2.0+14.04.20140404-0ubuntu1) trusty; urgency=low

  [ Chris Townsend ]
  * Fix issue where windows that are in Show Desktop mode are selected
    for spread have a blank preview. This fix will Fade Out the window
    for Spread and Fade In the window again when Spread exits if that
    window is not chosen. (LP: #1104236)

  [ Marco Trevisan (Treviño) ]
  * ForceQuitDialog: add a new "sheet style" dialog that is shown when a
    window hangs Listen to compiz toolkit events and prompt a dialog
    that allows to force-quit an hanging application. (LP: #698031)
 -- Ubuntu daily release <email address hidden> Fri, 04 Apr 2014 21:35:41 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Stephen M. Webb (bregma) on 2014-06-04
Changed in unity:
status: Fix Committed → Fix Released
Stephen M. Webb (bregma) on 2014-11-06
Changed in compiz:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers